Bug 181482 - dhclient-script doesn't update resolv.conf with new servers
dhclient-script doesn't update resolv.conf with new servers
Product: Fedora Legacy
Classification: Retired
Component: dhcp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Depends On:
  Show dependency treegraph
Reported: 2006-02-14 11:18 EST by Francis Montagnac
Modified: 2007-04-18 13:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-13 09:51:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Francis Montagnac 2006-02-14 11:18:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
When the dhcpd server defines new domain name servers, a RENEW on a
client doesn't update /etc/resolv.conf with them.

This is I think a simple typo in /sbin/dhclient-script: references to

  $new_domain_servers and $old_domain_servers

instead of:

  $new_domain_name_servers and $old_domain_name_servers

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. change the DNS servers in the dhcpd.conf files
2. wait for a renew on a FC3 client
3. verify /etc/resolv.conf

Actual Results:  

Additional info:
Comment 1 Jason Vas Dias 2006-02-14 11:48:59 EST
Thanks, well spotted. 

This bug has been in every Red Hat dhcp release since dhcp-3.0.1rc12 , but
was previously never triggered, as make_resolv_conf() was not being invoked 
during RENEW, owing to bug 173619 .

Red Hat no longer maintains FC-3 - you are strongly recommended to upgrade to
FC-4 / FC-5 . I'll send a fix for this bug to the Fedora Legacy project 
maintainers, and also build a version of the latest dhcp-3.0.3 with this
bug fixed for FC-3 - will update this bug when done.
Comment 2 Jason Vas Dias 2006-02-14 14:07:55 EST
This bug is now fixed with:
FC-3: dhcp-3.0.1-52.FC3 http://people.redhat.com/~jvdias/dhcp/FC-3/3.0.1-52.FC3
      dhcp-3.0.3-22.FC3 http://people.redhat.com/~jvdias/dhcp/FC-3/3.0.3-22.FC3

FC-4: dhcp-3.0.2-32.FC4 (FC-4 updates)

FC-5: dhcp-3.0.3-22     (FC-5t3)

The Fedora Legacy maintainers can find SRPMs at:

Comment 3 Fedora Update System 2006-02-14 14:44:17 EST
From User-Agent: XML-RPC

dhcp-3.0.2-32.FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 Jesse Keating 2006-08-13 09:51:03 EDT
This is not a security issue.  Fixed packages provided by Jason.  Closing.

Note You need to log in before you can comment on or make changes to this bug.